

- Fix some unnecessary and odd handling of timeval usec overflow

- Diagnostics to see why it's getting the wrong frequency.


 sound/pci/intel8x0.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

diff -puN sound/pci/intel8x0.c~intel8x0-cleanup sound/pci/intel8x0.c
--- 25/sound/pci/intel8x0.c~intel8x0-cleanup	2003-07-31 22:08:05.000000000 -0700
+++ 25-akpm/sound/pci/intel8x0.c	2003-07-31 22:08:05.000000000 -0700
@@ -2133,10 +2133,8 @@ static void __devinit intel8x0_measure_a
 
 	t = stop_time.tv_sec - start_time.tv_sec;
 	t *= 1000000;
-	if (stop_time.tv_usec < start_time.tv_usec)
-		t -= start_time.tv_usec - stop_time.tv_usec;
-	else
-		t += stop_time.tv_usec - start_time.tv_usec;
+	t += stop_time.tv_usec - start_time.tv_usec;
+	printk(KERN_INFO "%s: measured %lu usecs\n", __FUNCTION__, t);
 	if (t == 0) {
 		snd_printk(KERN_ERR "?? calculation error..\n");
 		return;

_
